# $Revision: 1.236 $, $Date: 2011/12/16 12:23:52 $
# TODO
# - is bug803 patch still needed? the code changed somehow
#
# Workaround ffmpeg.spec & opencv.spec updating:
#
# 	1. make-request -r --without opencv ffmpeg.spec
#	2. make-request -r opencv.spec
#	3. bump release of ffmpeg.spec
#	4. make-request -r ffmpeg.spec
#
# Conditional build:
%bcond_with	nonfree		# non free options of package (currently: faac)
%bcond_with	aacplus		# AAC+ encoding via libaacplus (requires nonfree)
%bcond_without	autoreqdep	# don't care about package name deps generated by rpm
%bcond_without	frei0r		# build without frei0r video filtering
%bcond_without	opencv		# build without opencv video filtering
%bcond_without	x264		# build without x264 encoder
%bcond_without	va		# VAAPI (Video Acceleration API)
%bcond_without	vpx		# VP8, a high-quality video codec
%bcond_without	doc		# don't build docs

Summary:	FFmpeg - a very fast video and audio converter
Summary(pl.UTF-8):	FFmpeg - szybki konwerter audio/wideo
Name:		ffmpeg
Version:	0.9
Release:	2
# LGPL or GPL, chosen at configure time (GPL version is more featured)
# (postprocessing, some filters, x264, xavs, xvid, x11grab)
# using v3 allows Apache-licensed libs (opencore-amr, libvo-*enc)
License:	GPL v3+ with LGPL v3+ parts
Group:		Applications/Multimedia
Source0:	http://ffmpeg.org/releases/%{name}-%{version}.tar.bz2
# Source0-md5:	795058de6fc432aa11271408273a0535
Source1:	ffserver.init
Source2:	ffserver.sysconfig
Source3:	ffserver.conf
Patch0:		%{name}-bug-803.patch
Patch1:		%{name}-gsm.patch
URL:		http://www.ffmpeg.org/
BuildRequires:	SDL-devel
BuildRequires:	alsa-lib-devel
BuildRequires:	bzip2-devel
BuildRequires:	celt-devel >= 0.11.0
BuildRequires:	dirac-devel >= 1.0.0
%{?with_nonfree:BuildRequires:	faac-devel}
BuildRequires:	freetype-devel
%{?with_frei0r:BuildRequires:	frei0r-devel}
%ifarch ppc
# require version with altivec support fixed
BuildRequires:	gcc >= 5:3.3.2-3
%endif
BuildRequires:	jack-audio-connection-kit-devel
BuildRequires:	lame-libs-devel >= 3.98.3
%{?with_aacplus:BuildRequires:	libaacplus-devel >= 2.0.0}
BuildRequires:	libdc1394-devel
BuildRequires:	libgsm-devel
BuildRequires:	libnut-devel
BuildRequires:	libraw1394-devel >= 2
BuildRequires:	librtmp-devel
BuildRequires:	libtheora-devel >= 1.0-0.beta3
BuildRequires:	libtool >= 2:1.4d-3
%{?with_va:BuildRequires:	libva-devel >= 1.0.3}
BuildRequires:	libvdpau-devel
BuildRequires:	libvorbis-devel
%{?with_vpx:BuildRequires:	libvpx-devel >= 0.9.6}
# X264_BUILD >= 118
%{?with_x264:BuildRequires:	libx264-devel >= 0.1.3-1.20111212_2245}
BuildRequires:	opencore-amr-devel
%{?with_opencv:BuildRequires:	opencv-devel}
BuildRequires:	openjpeg-devel >= 1.3-2
BuildRequires:	speex-devel >= 1:1.2-rc1
%ifarch %{ix86}
%ifnarch i386 i486
BuildRequires:	nasm
%endif
%endif
BuildRequires:	perl-Encode
BuildRequires:	perl-tools-pod
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.470
BuildRequires:	schroedinger-devel
%{?with_doc:BuildRequires:	tetex}
%{?with_doc:BuildRequires:	texi2html}
%{?with_doc:BuildRequires:	texinfo}
BuildRequires:	vo-aacenc-devel
BuildRequires:	vo-amrwbenc-devel
BuildRequires:	xavs-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXfixes-devel
BuildRequires:	xvid-devel >= 1:1.1.0
BuildRequires:	zlib-devel
%{?with_autoreqdep:BuildConflicts:	libpostproc}
Requires:	%{name}-libs = %{version}-%{release}
Requires:	xvid >= 1:1.1.0
Obsoletes:	libpostproc
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreqdep	libGL.so.1 libGLU.so.1

%define		specflags	-fno-strict-aliasing

# -fomit-frame-pointer is always needed on x86 due to lack of registers (-fPIC takes one)
%define		specflags_ia32	-fomit-frame-pointer
# -mmmx is needed to enable <mmintrin.h> code.
%define		specflags_i586	-mmmx
%define		specflags_i686	-mmmx
%define		specflags_ppc	-fPIC

%description
FFmpeg is a complete solution to record, convert and stream audio and
video. It is a command line tool to convert one video file format to
another. It also supports grabbing and encoding in real time from a TV
card.

%description -l pl.UTF-8
FFmpeg to kompletne rozwiązanie nagrywania, konwersji i transmisji
strumieni dźwięku i obrazu. Jest to działające z linii poleceń
narzędzie do konwersji obrazu z jednego formatu do innego. Obsługuje
także przechwytywanie i kodowanie w czasie rzeczywistym z karty
telewizyjnej.

%package libs
Summary:	ffmpeg libraries
Summary(pl.UTF-8):	Biblioteki ffmpeg
Group:		Libraries

%description libs
This package contains the ffmpeg shared libraries:
- the codec library (libavcodec). It supports most existing encoding
  formats (MPEG, DivX, MPEG4, AC3, DV...),
- demuxer library (libavformat). It supports most existing file
  formats (AVI, MPEG, OGG, Matroska, ASF...),
- video postprocessing library (libpostproc).

%description libs -l pl.UTF-8
Ten pakiet zawiera biblioteki współdzielone ffmpeg:
- bibliotekę kodeków (libavcodec); obsługuje większość istniejących
  formatów kodowania (MPEG, DivX, MPEG4, AC3, DV...),
- bibliotekę demuksera (libavformat); obsługuje większość istniejących
  formatów plików (AVI, MPEG, OGG, Matroska, ASF...),
- bibliotekę postprocessingu (libpostproc).

%package devel
Summary:	ffmpeg header files
Summary(pl.UTF-8):	Pliki nagłówkowe ffmpeg
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
# Libs.private from *.pc (unreasonably they are all the same)
Requires:	SDL-devel
Requires:	alsa-lib-devel
Requires:	bzip2-devel
Requires:	celt-devel
Requires:	dirac-devel >= 1.0.0
%{?with_nonfree:Requires:	faac-devel}
Requires:	jack-audio-connection-kit-devel
Requires:	lame-libs-devel >= 3.98.3
Requires:	libdc1394-devel
Requires:	libgsm-devel
Requires:	libnut-devel
Requires:	libraw1394-devel >= 2
Requires:	librtmp-devel
Requires:	libtheora-devel >= 1.0-0.beta3
%{?with_va:Requires:	libva-devel >= 1.0.3}
Requires:	libvorbis-devel
%{?with_vpx:Requires:	libvpx-devel >= 0.9.6}
%{?with_x264:Requires:	libx264-devel >= 0.1.3-1.20110625_2245}
Requires:	opencore-amr-devel
Requires:	openjpeg-devel >= 1.3-2
Requires:	schroedinger-devel
Requires:	speex-devel >= 1:1.2-rc1
Requires:	vo-aacenc-devel
Requires:	vo-amrwbenc-devel
Requires:	xavs-devel
Requires:	xorg-lib-libXext-devel
Requires:	xorg-lib-libXfixes-devel
Requires:	xvid-devel >= 1:1.1.0
Requires:	zlib-devel
Obsoletes:	libpostproc-devel

%description devel
ffmpeg header files.

%description devel -l pl.UTF-8
Pliki nagłówkowe ffmpeg.

%package static
Summary:	ffmpeg static libraries
Summary(pl.UTF-8):	Statyczne biblioteki ffmpeg
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
ffmpeg static libraries (libavcodec and libavformat).

%description static -l pl.UTF-8
Statyczne biblioteki ffmpeg (libavcodec i libavformat).

%package ffplay
Summary:	FFplay - SDL-based media player
Summary(pl.UTF-8):	FFplay - odtwarzacz mediów oparty na SDL
Group:		Applications/Multimedia
Requires:	%{name}-libs = %{version}-%{release}

%description ffplay
FFplay is a very simple and portable media player using the FFmpeg
libraries and the SDL library. It is mostly used as a test bench for
the various APIs of FFmpeg.

%description ffplay -l pl.UTF-8
FFplay to bardzo prosty i przenośny odtwarzacz mediów używający
bibliotek FFmpeg oraz biblioteki SDL. Jest używany głównie do
testowania różnych API FFmpeg.

%package ffserver
Summary:	FFserver video server
Summary(pl.UTF-8):	FFserver - serwer strumieni obrazu
Group:		Daemons
Requires(post,preun):	/sbin/chkconfig
Requires:	%{name}-libs = %{version}-%{release}
Requires:	rc-scripts >= 0.4.0.10

%description ffserver
FFserver is a streaming server for both audio and video. It supports
several live feeds, streaming from files and time shifting on live
feeds (you can seek to positions in the past on each live feed,
provided you specify a big enough feed storage in ffserver.conf).

%description ffserver -l pl.UTF-8
FFserver to serwer strumieni dla dźwięku i obrazu. Obsługuje kilka
źródeł na żywo, przekazywanie strumieni z plików i przesuwanie w
czasie dla źródeł na żywo (można przeskakiwać na położenia w
przeszłości dla każdego źródła na żywo, pod warunkiem odpowiednio
dużej przestrzeni na dane skonfigurowanej w ffserver.conf).

%prep
%setup -q
%patch0 -p1
%patch1 -p0

# package the grep result for mplayer, the result formatted as ./mplayer/configure
cat <<EOF > ffmpeg-avconfig
#! /bin/sh
_libavdecoders_all="`sed -n 's/^[^#]*DEC.*(.*, *\(.*\)).*/\1_decoder/p' libavcodec/allcodecs.c | tr '[a-z]' '[A-Z]'`"
_libavencoders_all="`sed -n 's/^[^#]*ENC.*(.*, *\(.*\)).*/\1_encoder/p' libavcodec/allcodecs.c | tr '[a-z]' '[A-Z]'`"
_libavparsers_all="`sed -n 's/^[^#]*PARSER.*(.*, *\(.*\)).*/\1_parser/p' libavcodec/allcodecs.c | tr '[a-z]' '[A-Z]'`"
_libavbsfs_all="`sed -n 's/^[^#]*BSF.*(.*, *\(.*\)).*/\1_bsf/p' libavcodec/allcodecs.c | tr '[a-z]' '[A-Z]'`"
_libavdemuxers_all="`sed -n 's/^[^#]*DEMUX.*(.*, *\(.*\)).*/\1_demuxer/p' libavformat/allformats.c | tr '[a-z]' '[A-Z]'`"
_libavmuxers_all="`sed -n 's/^[^#]*_MUX.*(.*, *\(.*\)).*/\1_muxer/p' libavformat/allformats.c | tr '[a-z]' '[A-Z]'`"
_libavprotocols_all="`sed -n 's/^[^#]*PROTOCOL.*(.*, *\(.*\)).*/\1_protocol/p' libavformat/allformats.c | tr '[a-z]' '[A-Z]'`"
EOF
cat <<'EOF' >> ffmpeg-avconfig

case "$1" in
--decoders)
	echo $_libavdecoders_all
	;;
--encoders)
	echo $_libavencoders_all
	;;
--parsers)
	echo $_libavparsers_all
	;;
--bsfs)
	echo $_libavbsfs_all
	;;
--demuxers)
	echo $_libavdemuxers_all
	;;
--muxers)
	echo $_libavmuxers_all
	;;
--protocols)
	echo $_libavprotocols_all
	;;
*)
	cat <<USAGE
Usage: $0 [OPTION]
Options:
  --decoders
  --encoders
  --parsers
  --bsfs
  --demuxers
  --muxers
  --protocols
USAGE
	exit 1;;
esac

exit 0
EOF

%build
# notes:
# - it's not autoconf configure
# - --disable-debug, --disable-optimizations, tune=generic causes not to override our optflags
./configure \
	--arch=%{_target_base_arch} \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--shlibdir=%{_libdir} \
	--mandir=%{_mandir} \
	--cc="%{__cc}" \
	--extra-cflags="-D_GNU_SOURCE=1 %{rpmcppflags} %{rpmcflags}" \
	--extra-ldflags="%{rpmcflags} %{rpmldflags}" \
	--disable-debug \
	--disable-optimizations \
	--disable-stripping \
	--enable-avfilter \
	--enable-gpl \
	--enable-version3 \
	%{?with_frei0r:--enable-frei0r} \
	%{?with_aacplus:--enable-libaacplus} \
	--enable-libdc1394 \
	--enable-libcelt \
	--enable-libdirac \
	--enable-libgsm \
	--enable-libmp3lame \
	--enable-libnut \
	--enable-libopencore-amrnb \
	--enable-libopencore-amrwb \
	%{?with_opencv:--enable-libopencv} \
	--enable-libopenjpeg \
	--enable-librtmp \
	--enable-libschroedinger \
	--enable-libspeex \
	--enable-libtheora \
	--enable-libvo-aacenc \
	--enable-libvo-amrwbenc \
	--enable-libvorbis \
	%{?with_vpx:--enable-libvpx} \
	%{?with_x264:--enable-libx264} \
	--enable-libxavs \
	--enable-libxvid \
	--enable-postproc \
	--enable-pthreads \
	--enable-shared \
	--enable-swscale \
	--enable-vdpau \
	--enable-x11grab \
%ifnarch %{ix86} %{x8664}
	--disable-mmx \
%endif
%ifarch i386 i486
	--disable-mmx \
%endif
%if %{with nonfree}
	--enable-nonfree \
	--enable-libfaac \
%endif
	--enable-runtime-cpudetect

# force oldscaler build
%{__sed} -i -e 's|#define.*CONFIG_OLDSCALER.*0|#define CONFIG_OLDSCALER 1|g' config.h

%{__make} \
	V=1

# CC_O to add -c to commandline. makefile should be patched
%{__make} tools/qt-faststart V=1 CC_O='-c -o $@'

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_sbindir},/etc/{sysconfig,rc.d/init.d}} \
	$RPM_BUILD_ROOT%{_includedir}/ffmpeg \
	$RPM_BUILD_ROOT/var/{cache,log}/ffserver

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	V=1

cp -a config.h $RPM_BUILD_ROOT%{_includedir}/ffmpeg
cp -a libavutil/intreadwrite.h $RPM_BUILD_ROOT%{_includedir}/libavutil
cp -a libavutil/bswap.h $RPM_BUILD_ROOT%{_includedir}/libavutil
cp -a libavutil/common.h $RPM_BUILD_ROOT%{_includedir}/libavutil
cp -a libavutil/mem.h $RPM_BUILD_ROOT%{_includedir}/libavutil
for a in libavutil/*/bswap.h; do
	install -D $a $RPM_BUILD_ROOT%{_includedir}/$a
done
cp -a libavformat/riff.h $RPM_BUILD_ROOT%{_includedir}/libavformat
cp -a libavformat/avio.h $RPM_BUILD_ROOT%{_includedir}/libavformat
# for lim-omx ffmpeg components
cp -a libavcodec/audioconvert.h $RPM_BUILD_ROOT%{_includedir}/libavcodec

install -p %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/ffserver
cp -a %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/ffserver
cp -a %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/ffserver.conf
mv -f $RPM_BUILD_ROOT{%{_bindir},%{_sbindir}}/ffserver
install -p tools/qt-faststart $RPM_BUILD_ROOT%{_bindir}

# install as ffmpeg-avconfig to avoid with possible programs looking for
# ffmpeg-config and expecting --libs output from it which is not implemented
# simple to do (by querying pkgconfig), but why?
install -p ffmpeg-avconfig $RPM_BUILD_ROOT%{_bindir}/ffmpeg-avconfig

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%pre ffserver
%groupadd -g 167 ffserver
%useradd -g ffserver -u 167 ffserver

%post ffserver
/sbin/chkconfig --add ffserver
%service ffserver restart

%preun ffserver
if [ "$1" = 0 ]; then
	%service ffserver stop
	/sbin/chkconfig --del ffserver
fi

%postun ffserver
if [ "$1" = 0 ]; then
	%userremove ffserver
	%groupremove ffserver
fi

%files
%defattr(644,root,root,755)
%doc CREDITS LICENSE MAINTAINERS README doc/{APIchanges,RELEASE_NOTES} %{?with_doc:doc/*.html}
%attr(755,root,root) %{_bindir}/avconv
%attr(755,root,root) %{_bindir}/ffmpeg
%attr(755,root,root) %{_bindir}/ffprobe
%attr(755,root,root) %{_bindir}/qt-faststart
%dir %{_datadir}/ffmpeg
%{_datadir}/ffmpeg/*.ffpreset
%{?with_doc:%{_mandir}/man1/avconv.1*}
%{?with_doc:%{_mandir}/man1/ffmpeg.1*}
%{?with_doc:%{_mandir}/man1/ffprobe.1*}

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libavcodec.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libavcodec.so.53
%attr(755,root,root) %{_libdir}/libavdevice.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libavdevice.so.53
%attr(755,root,root) %{_libdir}/libavfilter.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libavfilter.so.2
%attr(755,root,root) %{_libdir}/libavformat.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libavformat.so.53
%attr(755,root,root) %{_libdir}/libavutil.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libavutil.so.51
%attr(755,root,root) %{_libdir}/libpostproc.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libpostproc.so.51
%attr(755,root,root) %{_libdir}/libswresample.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libswresample.so.0
%attr(755,root,root) %{_libdir}/libswscale.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libswscale.so.2

%files devel
%defattr(644,root,root,755)
%doc doc/optimization.txt
%attr(755,root,root) %{_bindir}/ffmpeg-avconfig
%attr(755,root,root) %{_libdir}/libavcodec.so
%attr(755,root,root) %{_libdir}/libavdevice.so
%attr(755,root,root) %{_libdir}/libavfilter.so
%attr(755,root,root) %{_libdir}/libavformat.so
%attr(755,root,root) %{_libdir}/libavutil.so
%attr(755,root,root) %{_libdir}/libpostproc.so
%attr(755,root,root) %{_libdir}/libswresample.so
%attr(755,root,root) %{_libdir}/libswscale.so
%{_includedir}/ffmpeg
%{_includedir}/libavcodec
%{_includedir}/libavdevice
%{_includedir}/libavfilter
%{_includedir}/libavformat
%{_includedir}/libavutil
%{_includedir}/libpostproc
%{_includedir}/libswresample
%{_includedir}/libswscale
%{_pkgconfigdir}/libavcodec.pc
%{_pkgconfigdir}/libavdevice.pc
%{_pkgconfigdir}/libavfilter.pc
%{_pkgconfigdir}/libavformat.pc
%{_pkgconfigdir}/libavutil.pc
%{_pkgconfigdir}/libpostproc.pc
%{_pkgconfigdir}/libswresample.pc
%{_pkgconfigdir}/libswscale.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libavcodec.a
%{_libdir}/libavdevice.a
%{_libdir}/libavfilter.a
%{_libdir}/libavformat.a
%{_libdir}/libavutil.a
%{_libdir}/libpostproc.a
%{_libdir}/libswresample.a
%{_libdir}/libswscale.a

%files ffplay
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/ffplay
%{?with_doc:%{_mandir}/man1/ffplay.1*}

%files ffserver
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/ffserver.conf
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/ffserver
%attr(755,root,root) %{_sbindir}/ffserver
%attr(754,root,root) /etc/rc.d/init.d/ffserver
%{?with_doc:%{_mandir}/man1/ffserver.1*}
%dir %attr(770,root,ffserver) /var/cache/ffserver
%dir %attr(770,root,ffserver) /var/log/ffserver

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ffmpeg.spec,v $
Revision 1.236  2011/12/16 12:23:52  hawk
- opencv bcond, added comment about ffmpeg/opencv build dependency loop

Revision 1.235  2011/12/13 20:07:40  arekm
- up to 0.9

Revision 1.234  2011/11/22 19:40:22  charles
- up to 0.8.7

Revision 1.233  2011/11/05 01:06:08  charles
- up to 0.8.6

Revision 1.232  2011/10/12 18:03:57  qboosh
- added aacplus bcond (using non-distributable libaacplus)

Revision 1.231  2011/10/03 18:43:58  charles
- up 0.8.5

Revision 1.230  2011/09/27 18:48:34  qboosh
- package <libavcodec/audioconvert.h> for lim-omx
- release 2

Revision 1.229  2011/09/26 16:21:49  qboosh
- libraw1394 >= 2 required

Revision 1.228  2011/09/26 09:01:44  lisu
- updated to 0.8.4

Revision 1.227  2011/09/18 11:56:59  sls
- BR: celt-devel >= 0.11.0

Revision 1.226  2011/09/18 11:52:16  sls
- added x264 bcond

Revision 1.225  2011/09/18 11:37:01  sls
- added frei0r bcond

Revision 1.224  2011/09/08 17:10:40  arekm
- up to 0.8.3 (fixes MSVR-11-0088)

Revision 1.223  2011/08/14 19:28:17  qboosh
- updated to 0.8.2 (includes security fixes)

Revision 1.222  2011/08/03 14:36:23  qboosh
- updated to 0.8.1
- removed obsolete AV_PICTURE_TYPE_NONE patch

Revision 1.221  2011/07/26 20:39:19  baggins
- rel 5
- fix patching

Revision 1.220  2011/07/26 20:36:40  baggins
- rel 4
- added missing enum element

Revision 1.219  2011/07/24 14:16:10  arekm
- release 3

Revision 1.218  2011/07/02 10:46:35  qboosh
- enabled libnut; release 2

Revision 1.217  2011/07/02 08:58:40  qboosh
- BR: bzip2-devel
- faac-devel deps moved to nonfree bcond
- updated Requires list in -devel

Revision 1.216  2011/07/02 07:48:28  qboosh
- enabled: frei0r, vo-aacenc, vo-amrwbenc, xavs

Revision 1.215  2011/06/29 18:19:12  lisu
- libvpx-devel >= 0.9.6 is required

Revision 1.214  2011/06/27 15:14:47  qboosh
- updated to 0.8 (note: new sonames, API changes)
- updated pl descriptions
- updated patches: bug-803 (is it still needed?), gsm
- removed obsolete faadbin-libfaadname,libvpx patches
- (nonfree) libfaad support is gone
- updated BRs; needs x264 ABI >= 115

Revision 1.213  2011/04/27 19:42:00  marti
- up to 0.6.3

Revision 1.212  2011/03/28 10:22:21  cactus
- rel 2; rebuild with x264

Revision 1.211  2011/03/25 18:13:45  qboosh
- sorted bin files

Revision 1.210  2011/03/25 12:56:50  glen
- up to 0.6.2, package qt-faststart

Revision 1.209  2010/11/01 18:06:10  glen
- more changes came with r1.207

Revision 1.208  2010/11/01 18:03:52  glen
- keep imagewidth.patch around, as a reminder

Revision 1.207  2010/11/01 16:44:51  qboosh
- updated Source URL
- verbose make
- package LICENSE (notes on specific parts of ffmpeg and its dependencies)
- [dropped imlib2 bcond, cleanup deps]

Revision 1.206  2010/10/22 13:37:29  glen
- va, vpx, doc bconds

Revision 1.205  2010/10/19 11:55:13  glen
- up to 0.6.1

Revision 1.204  2010/09/15 19:15:22  glen
- faad via dlopen and suggests (see devel-en thread); rel 6

Revision 1.203  2010/09/15 17:52:06  arekm
- rel 5; add libvpx update

Revision 1.202  2010/09/10 06:59:46  glen
- link with faad at compile time; rel 4

Revision 1.201  2010/09/09 18:12:34  glen
- fix faadbin soname, not to depend on devel at runtime; rel 3

Revision 1.200  2010/09/06 17:11:12  glen
- --enable-x11grab; rel 2

Revision 1.199  2010/08/24 21:37:41  glen
- speex ver bummp for speex_header_free:
  libavcodec/libavcodec.so: undefined reference to `speex_header_free'

Revision 1.198  2010/07/12 14:54:55  glen
- merge with my forgotten commit

Revision 1.197  2010/06/19 18:03:17  sls
- fixed BR libdrm-devel release

Revision 1.196  2010/06/19 18:00:08  sls
- BR: libx264-devel >= 0.1.3-1_20100424_2245_1

Revision 1.195  2010/06/18 06:28:08  arekm
- BR libvpx-devel >= 0.9.1

Revision 1.194  2010/06/18 06:19:42  arekm
- up to 0.6 (vhook system deprecated).

Revision 1.193  2010/05/26 07:56:10  arekm
- up to 0.5.2

Revision 1.192  2010/04/25 20:10:14  arekm
- release 2

Revision 1.191  2010/03/04 12:25:09  arekm
- up to 0.5.1; move faac to (default disabled) nonfree bcond; use opencore-amr instead of non free libamr; enable openjpeg/vdpau

Revision 1.190  2009/11/20 08:42:32  arekm
- rel 7

Revision 1.189  2009/11/20 08:19:47  arekm
- rel 6; fix for new libx264 api

Revision 1.188  2009/11/20 00:41:37  zbyniu
- BR: perl-Encode

Revision 1.187  2009/11/19 22:21:24  arekm
- release 5

Revision 1.186  2009/11/13 17:27:40  glen
- enhanced descs (base pkg is not server)

Revision 1.185  2009/07/16 11:30:26  glen
- enable avfilter (replaces vhook); rel 4

Revision 1.184  2009/07/16 11:20:49  glen
- sort cosmetic

Revision 1.183  2009/07/16 10:35:35  glen
- add imagewidth.patch

Revision 1.182  2009/05/11 22:35:28  glen
- fix for ffmpeg bug #803 (lame 3.98.2 doesn't like lame_encode_flush() being called multiple times)
- rel 3

Revision 1.181  2009/04/29 09:57:56  sparky
- won't work without -fPIC on ppc, added
- pass cflags along with ldflags
- rel 2

Revision 1.180  2009/03/25 16:55:46  uzsolt
- BR texi2html

Revision 1.179  2009/03/10 12:56:54  arekm
- up to 0.5; it's not a joke, it's a release!

Revision 1.178  2009/02/25 18:08:51  arekm
- up to 20090225

Revision 1.177  2008/11/24 01:12:18  glen
- add more devel headers for mplayer

Revision 1.176  2008/11/23 20:42:49  glen
- install additional headers for mplayer ffmpeg build; rel 2

Revision 1.175  2008/11/17 20:44:06  sls
- BR: libx264-devel >= 0.1.2-1.20081023

Revision 1.174  2008/10/24 20:40:07  arekm
- up to 20081024

Revision 1.173  2008/10/24 20:20:37  arekm
- release 2

Revision 1.172  2008/10/12 20:02:43  sls
- BR: dirac-devel >= 1.0.0

Revision 1.171  2008/10/02 20:20:55  charles
- -devel R: libraw1394-devel

Revision 1.170  2008/09/30 06:27:14  arekm
- up to 20080930

Revision 1.169  2008/09/08 20:18:48  arekm
- up to 20080908

Revision 1.168  2008/08/27 09:12:46  pluto
- -devel R: dirac-devel for und. symbols in libavcodec.so and proper pkg-config working.
- release 6.

Revision 1.167  2008/08/24 11:00:33  arekm
- release 5

Revision 1.166  2008/08/23 20:28:45  charles
- BR: pkgconfig

Revision 1.165  2008/08/23 18:42:48  qboosh
- ~sorted configure options, enabled libschroedinger

Revision 1.164  2008/08/23 12:51:40  qboosh
- updated macros BR (1.470 for rpmcppflags)

Revision 1.163  2008/08/23 11:36:32  qboosh
- no //

Revision 1.162  2008/08/23 11:28:12  arekm
- rel 4; img_convert is really back

Revision 1.161  2008/08/23 10:49:51  arekm
- rel 3; fix -devel subpackage

Revision 1.160  2008/08/22 22:07:51  arekm
- rel 2; img_convert is back again

Revision 1.159  2008/08/22 17:20:26  arekm
- up to 20080822

Revision 1.158  2008/08/21 12:06:28  arekm
- release 3

Revision 1.157  2008-02-19 00:01:50  glen
- invent some gateway to pass allcodecs.c/allformats.c info to mplayer; rel 2

Revision 1.156  2008-02-11 22:41:08  qboosh
- a52bin patch, liba52 options and a52dec BR dropped - use native ac3 decoder
- AMR support needs --enable-nonfree (and produces non-distributable package)

Revision 1.155  2008-02-07 12:08:50  glen
- rel 1

Revision 1.154  2008-01-31 14:37:51  glen
- update to 2008-01-31:
  - The "device" muxers and demuxers are now in a new libavdevice library
  - H.264 PAFF decoding
  - Nellymoser ASAO decoder
  - Beam Software SIFF demuxer and decoder
  - libvorbis Vorbis decoding removed in favor of native decoder
  - IntraX8 (J-Frame) subdecoder for WMV2 and VC-1
  - Ogg muxer
  - PC Paintbrush PCX decoder
  - Sun Rasterfile decoder
  - TechnoTrend PVA demuxer
  - Linux Media Labs MPEG-4 (LMLM4) demuxer
  - AVM2 (Flash 9) SWF muxer

Revision 1.153  2007-12-01 21:07:12  qboosh
- *GPL versions

Revision 1.152  2007-11-15 16:50:32  hawk
- fix generating .pc files on x86_64 (/usr/lib -> /usr/lib64)
- release 4

Revision 1.151  2007-11-15 06:21:46  wolvverine
- up rel to x.0.3 for libx264-0.1.2-1.20071008_2245.1

Revision 1.150  2007-11-11 17:45:34  wolvverine
- up rel x.0.2

Revision 1.149  2007/10/09 18:43:25  glen
- changes for 20071009 snap

Revision 1.148  2007/10/09 17:17:47  aflinta
- refresh snap to 20071009 and rebuild with new libx264
  - DNxHD encoder

Revision 1.147  2007/10/06 21:33:36  glen
- libavformat/allformats.h is no longer there

Revision 1.146  2007/10/06 17:09:03  glen
- 2007-10-06:
  - Matroska muxer
  - Slice-based parallel H.264 decoding
  - Monkey's Audio demuxer and decoder
  - additional SPARC (VIS) optimizations
  - AMV audio and video decoder

Revision 1.145  2007/08/27 20:37:35  glen
- changelog for snap update

Revision 1.144  2007/08/27 19:43:22  qboosh
- updated to 2007-08-27 snap
  - QTRLE encoder
  - OS/2 support removed
  - AC-3 decoder
  - NUT muxer (since r10052)
- added a52bin patch to drop liba52-devel dependency
- removed outdated fork patch

Revision 1.143  2007/07/31 22:24:12  qboosh
- added todo (-la52 should be killed from *.pc and linking)

Revision 1.142  2007/07/15 11:57:15  arekm
- rel 4

Revision 1.141  2007/07/13 08:01:28  arekm
- rel 3; pass --arch=

Revision 1.140  2007/06/27 09:22:05  glen
- rel 2

Revision 1.139  2007/06/26 21:27:24  glen
- install libavutil/intreadwrite.h

Revision 1.138  2007/06/26 21:11:33  glen
- update to 2007-06-26:
   - RoQ video encoder

Revision 1.137  2007/06/12 23:01:48  qboosh
- require amr* libs with wrappers

Revision 1.136  2007/06/12 21:58:31  qboosh
- noted libnut hp

Revision 1.135  2007/06/12 21:56:10  qboosh
- updated amr options
- dropped libdts-devel R from -devel

Revision 1.134  2007/06/12 10:47:13  glen
- add changes to changelog

Revision 1.133  2007/06/09 18:33:54  arekm
- up to snap 2007-06-09:
  - Atrac3 decoder
  - V.Flash PTX decoder
  - RoQ muxer, audio encoder
  - Renderware TXD demuxer and decoder

Revision 1.132  2007/04/11 19:52:39  glen
- updated to 2007-04-11:
  - TIFF picture encoder and decoder
  - DXA demuxer and decoder
  - DNxHD decoder
  - Gamecube movie (.THP) playback system
  - Blackfin optimizations
  - Interplay C93 demuxer and video decoder
  - Bethsoft VID demuxer and video decoder
  - CRYO APC demuxer

Revision 1.131  2007/04/09 06:35:39  qboosh
- tab

Revision 1.130  2007/04/09 00:10:51  emes
- fixed BReqs

Revision 1.129  2007/03/13 00:26:41  glen
- cosmetics

Revision 1.128  2007/03/13 00:26:02  glen
- updated to 2007-03-12:
  - BMP encoder
  - WMA encoder
  - GSM-MS encoder and decoder
  - DCA decoder
- imlib2 dep increased (has fixed badness with X_DISPLAY_MISSING define)

Revision 1.127  2007/02/12 21:23:55  glen
- tabs in preamble

Revision 1.126  2007/02/12 00:48:49  baggins
- converted to UTF-8

Revision 1.125  2007/01/29 00:10:59  glen
- 20070128 snap
- Flash Screen Video encoder
- Theora encoding via libtheora

Revision 1.124  2007/01/11 00:49:42  sls
- added img_convert_symbol.patch

Revision 1.123  2007/01/09 18:14:55  glen
- update to 2007-01-09 snap
- adds Zip Blocks Motion Video encoder
- adds Musepack decoder
- adds X11 frame grabber

Revision 1.122  2006/12/09 22:30:46  glen
- -j1 unneccessary

Revision 1.121  2006/12/09 17:26:34  qboosh
- dropped libtool patch, updated system-amr patch

Revision 1.120  2006/12/09 15:42:14  glen
- rel 2

Revision 1.119  2006/12/09 15:19:33  qboosh
- added link patch, fixes build with --as-needed
- build swscale lib

Revision 1.118  2006/12/09 14:50:03  qboosh
- added CVE reference (ffmpeg < 20060530 was vulnerable to CVE-2006-4800)
- AVISynth is Win32-only (uses WinAPI), mediaLib is Solaris-only

Revision 1.117  2006/12/08 16:40:50  glen
- install some additional headers to have compile time knowledge of enabled features

Revision 1.116  2006/12/08 12:52:33  glen
- libtool patch is broken and i have not enough mana to complete it and it works without it too
- rel 1

Revision 1.115  2006/12/06 15:11:19  glen
- linking is broken

Revision 1.114  2006/12/06 05:02:44  sparky
- added altivec_fix patch, needed for old gcc

Revision 1.113  2006/12/06 00:04:00  glen
- missing BR libraw1394-devel
- libogg-devel is used and libtheora-devel is not

Revision 1.112  2006/12/05 17:05:52  glen
- jobserver is able to create partial libtool files

Revision 1.111  2006/12/05 12:10:41  glen
- there's no --tune nor lzo configure options

Revision 1.110  2006/12/05 12:07:09  glen
- as_needed.patch obsolete

Revision 1.109  2006/12/05 12:06:18  glen
- add -kill-mabi_altivec.patch

Revision 1.108  2006/12/05 12:01:34  glen
- builds on amd64

Revision 1.107  2006/12/05 11:20:40  glen
- BUILD_DOC is yes if texi2html is usable (from tetex)

Revision 1.106  2006/12/04 22:52:24  glen
- 2006-12-04 snapshot (compiles)
  [fixes CVE-2006-4800]

Revision 1.105  2006/10/26 12:34:06  grzegol
- fixed to build with libx264-0.1.2-1.20061024_2245.1; rel. 15

Revision 1.104  2006/09/18 13:57:09  pluto
- amr bcond inverted (license issue).
- as-needed fix for configure.

Revision 1.103  2006/09/11 21:21:30  grzegol
- added x264 patch (fixes build with libx264 20060828 snapshot)
- rel. .14

Revision 1.102  2006/07/13 08:34:17  glen
- rel 13

Revision 1.101  2006/07/13 03:11:35  charles
- post{un} ldconfig moved to -libs

Revision 1.100  2006/07/02 13:14:01  qboosh
- added system-amr patch, use system amr{nb,wb} libs

Revision 1.99  2006/06/24 07:35:29  pluto
- release .11.

Revision 1.98  2006/06/09 20:56:34  qboosh
- updated URL

Revision 1.97  2006/05/28 09:35:27  pluto
- bump release.

Revision 1.96  2006/05/10 20:17:10  qboosh
- lzo bcond, disabled by default (needs upate for lzo 2)

Revision 1.95  2006/05/09 10:21:03  qboosh
- -devel R: libx264-devel now
- added versions to lzo-devel deps (lzo support must be disabled or updated)

Revision 1.94  2006/05/05 12:34:38  glen
- R faad2-devel for -devel

Revision 1.93  2006/05/02 07:48:36  pluto
- AMR bcond inverted, release .9

Revision 1.92  2006/05/01 10:37:01  aflinta
- enebled x264, rel up

Revision 1.91  2006/04/30 23:07:16  charles
- BR: unzip (for --with amr)

Revision 1.90  2006/04/23 19:53:49  mguevara
- src files cleanup (amr stuff)

Revision 1.89  2006/04/23 19:39:10  mguevara
- 0.4.9-3.20060129.8.8 - amr stuff cleanup, licensing info changed, _rel++

Revision 1.88  2006/04/21 00:23:52  mguevara
- adds 3GPP AMR voice codecs (bcond amr) for playing mobile phone
  recorded movies

Revision 1.87  2006/04/19 19:29:18  qboosh
- -devel R: lzo-devel if used (but lzo 2 is not supported)

Revision 1.86  2006/04/19 18:52:46  qboosh
- pl for -ffserver

Revision 1.85  2006/04/17 17:22:07  blues
- strict internal deps for ffserver subpackage

Revision 1.84  2006/04/16 20:17:01  glen
- run as ffserver

Revision 1.83  2006/04/16 18:26:47  glen
- drop ffmpeg-config (*.pc is sufficent)

Revision 1.82  2006/04/16 15:34:07  glen
- add ffmpeg-config to -devel from debian (maybe pointless due .pc files?)

Revision 1.81  2006/04/16 15:22:57  glen
- rc-scripts with --fork cap

Revision 1.80  2006/04/16 15:17:48  glen
- rc-scripts restart and register

Revision 1.79  2006/04/16 15:07:32  glen
- -ffserver subpackage

Revision 1.78  2006/04/16 14:42:29  glen
- cosmetics

Revision 1.77  2006/04/09 15:51:02  blues
- desc fixed

Revision 1.76  2006/04/09 15:46:06  blues
- rel 8.1 - separated libraries to libs subpackage.

Revision 1.75  2006/04/09 12:07:06  glen
- my vision ;)

Revision 1.74  2006/04/07 21:49:36  blues
- TODO added

Revision 1.73  2006/03/21 16:16:24  djurban
- jsut remove the damn option!

Revision 1.72  2006/03/21 16:15:56  djurban
- damn mistakes, dont leave comments after configure before you end it

Revision 1.71  2006/03/21 16:14:07  djurban
- disable x264, we have a snap that is too old and im not going to update
  it because the newer version needs gpac which is a pain to build

Revision 1.70  2006/03/21 16:00:44  djurban
- add support for more formats (lzo,x264)

Revision 1.69  2006/02/02 11:52:37  qboosh
- -devel R: libgsm-devel

Revision 1.68  2006/02/02 10:54:16  pluto
- libgsm support enabled.

Revision 1.67  2006/02/01 12:13:20  pluto
- libdir patch updated.

Revision 1.66  2006/02/01 01:15:43  pluto
- a52bin, faad final setup.

Revision 1.65  2006/01/30 11:30:39  qboosh
- -devel R: libdts-devel

Revision 1.64  2006/01/30 10:31:25  qboosh
- xvid >= 1.1.0 is required

Revision 1.63  2006/01/30 08:23:56  pluto
- cflags (i586,i686) += -mmmx.

Revision 1.62  2006/01/30 03:04:22  pluto
- libdts and faad2 support enabled.

Revision 1.61  2006/01/30 02:29:12  pluto
- gcc4 fix finished.

Revision 1.60  2006/01/29 17:27:32  qboosh
- updated to 20060129 snap
- updated libtool patch, removed obsolete pkgconfig-version patch
- added (conditional) gcc4-workaround patch instead of disabling MMX at all

Revision 1.59  2005/12/31 09:55:51  pluto
- fix .pc versioning ("CVS-" -> "49CVS-$build").

Revision 1.58  2005/12/29 16:10:10  pluto
- XvMC header packaged.

Revision 1.57  2005/12/21 20:50:04  wolf
- fixed a52, it was never working, as a52bin is not active without a52; a52bin
  doesn't link correctly

Revision 1.56  2005/12/04 14:23:35  qboosh
- comment fix

Revision 1.55  2005/12/04 12:54:55  pluto
- gcc41+ workaround.

Revision 1.54  2005/12/01 13:32:57  qboosh
- added libavcodec deps to -devel

Revision 1.53  2005/11/22 20:51:49  glen
- enable xvid

Revision 1.52  2005/11/01 12:36:22  qboosh
- use snap date as libavcodec/libavformat/libavutil -release
- release 3.20050806.1

Revision 1.51  2005/10/30 21:08:29  qboosh
- merged from DEVEL

Revision 1.50.2.2  2005/10/24 16:58:27  qboosh
- fixed libtool patch, added libdir patch

Revision 1.50.2.1  2005/10/13 15:33:01  qboosh
- updated to 20050806 snapshot
- removed obsolete imlib2 patch, gcc4 patch needs recheck
- enabled ogg/vorbis/theora

Revision 1.50  2005/08/27 08:22:52  qboosh
- sorted BRs

Revision 1.49  2005/08/11 09:46:18  radek
- bcond_with(out) is followed by one \t, then bcond's name.

Revision 1.48  2005/05/04 18:23:19  speedy
- patch: gcc4

Revision 1.47  2005/04/13 17:34:48  qboosh
- normalize bcond for omitting BC

Revision 1.46  2005/04/08 21:52:46  speedy
- proper BR

Revision 1.45  2005/04/07 23:56:00  ankry
- cosmetics

Revision 1.44  2005/04/06 11:33:12  djurban
- enable lame, vorbis and faac audio, add bcond for BC that are introduced because of autoreqdepped names

Revision 1.43  2005/03/27 22:47:00  speedy
- BC: libpostproc

Revision 1.42  2005/02/16 21:00:49  charles
- BR: perl-tools-pod, tetex

Revision 1.41  2004/12/25 15:32:41  qboosh
- release .1

Revision 1.40  2004/12/25 13:26:00  qboosh
- added Obsoletes for libpostproc,libpostproc-devel
- reorders (lib stuff first)

Revision 1.39  2004/10/20 18:58:21  qboosh
- finished libtool patch
- use shared libpostproc from this package, mplayer version is broken
  (relies on some other portions of mplayer code)

Revision 1.38  2004/10/20 10:15:09  pluto
- shared libpostproc support almost finished.
  (TODO: /usr/lib/gcc/pentium3-pld-linux/3.4.3/../../../libpostproc.so:
         undefined reference to `fast_memcpy').

Revision 1.37  2004/10/19 22:57:31  qboosh
- updating patches (imlib2,libtool; the rest obsolete)

Revision 1.36  2004/10/18 20:50:36  qboosh
- NOT finished (patches not updated) - release 0.1

Revision 1.35  2004/10/14 19:37:37  mguevara
- update to 0.4.9-pre1
- disabled some patches - todo check this out
- added enable-gpl flag to configure
- added libpostproc to the package
- disabled the static package - *.a are missing - pre1 version?
- added needed defs to make install - DESTDIR is not enough
- TODO(2) libpostproc comes also with mplayer - check this

Revision 1.34  2004/03/11 14:59:40  pluto
- strict deps.
- bcond: imlib -> imlib2.

Revision 1.33  2004/02/28 17:31:12  saq
- more general ix86 %ifarchs

Revision 1.32  2004/02/24 04:15:30  pluto
- gcc 3.4 fixes.

Revision 1.31  2004/01/19 19:00:38  qboosh
- gcc is fixed - we can enable altivec now; new-style bcond, release 4

Revision 1.30  2004/01/02 17:16:40  jajcus
- Release: 3 (STBR after AMD64 fixes)

Revision 1.29  2003/12/29 13:41:54  jajcus
- AMD64 build fixed

Revision 1.28  2003/11/09 15:29:25  qboosh
- removed BR libstdc++-devel (it was caused by SDL, which has been fixed now)
- fixed libtool patch - now builds on alpha
- disabled altivec because of gcc 3.3.[012] ICE
- release 2

Revision 1.27  2003/11/09 00:31:10  matkor
- BR: libstdc++-devel.

Revision 1.26  2003/10/13 22:14:51  qboosh
- up to 0.4.8
- updated opt and libtool patches
- BR: fixed imlib2

Revision 1.25  2003/09/09 10:24:20  ankry
- spaces -> tab

Revision 1.24  2003/09/04 19:59:22  qboosh
- 0.4.7, updated opt,imlib2,libtool patches
- added ffplay as subpackage

Revision 1.23  2003/08/18 08:08:03  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.22  2003/05/25 11:00:51  malekith
- massive attack, adding Source-md5

Revision 1.21  2003/05/25 05:47:22  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.20  2003/05/13 09:12:58  qboosh
- libtool patch requires libtool >= 1.4d

Revision 1.19  2003/04/08 10:33:14  qboosh
- use http for sources from sourceforge

Revision 1.18  2003/03/02 17:03:02  adgor
- Fixed without_imlib bcond

Revision 1.17  2003/03/02 16:04:22  qboosh
- fixed --tag in libtool patch (CC not CXX) to avoid bogus linking with -lstdc++
- pass CC to make (fixes install)

Revision 1.16  2003/01/12 19:22:25  aflinta
- added _without_imlib bcond

Revision 1.15  2003/01/05 03:30:59  qboosh
- 0.4.6, updated opt patch
- added imlib2 patch to fix imlib2 detection
- added libtool patch - use libtool to build shared libraries correctly
- standard split + vhook-imlib2 subpackage (because of imlib2 dependency)
- changed config file perms - ffserver shouldn't be run as root

Revision 1.14  2002/10/28 07:19:51  kloczek
- release 3: use new %doc.

Revision 1.13  2002/04/25 16:17:50  arturs
- fixed a small typo

Revision 1.12  2002/02/22 23:28:50  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.11  2002/01/26 13:14:28  filon
- athlon updates
- release 2

Revision 1.10  2002/01/18 02:12:55  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.9  2001/09/08 13:45:39  qboosh
- ugh? disable-mmx on archs _other_ than i[56]86, not on i[56]86

Revision 1.8  2001/09/05 16:40:03  filon
- updated to 0.4.5
- updated opt patch, added configure (don't change to %configure - it's not compatibile)

Revision 1.7  2001/08/12 10:24:43  qboosh
- opt patch
- require nasm on 586/686 only (MMX functions - chosen at runtime)

Revision 1.6  2001/07/26 10:53:26  newrom
- Added nasm to BuildRequires

Revision 1.5  2001/07/25 17:21:31  newrom
- Updated to 0.4.4
- Changed Source0: and URL: location
- Removed %{rpmcflags} macro (doesn't compile with)

Revision 1.4  2001/04/30 16:05:17  kloczek
- added using %{rpmcflags} macro.

Revision 1.3  2001/03/29 09:23:40  mis
- autoupdated to 0.3.4

Revision 1.2  2001/02/18 22:51:59  kloczek
- spec adapterized.

Revision 1.1  2001/02/17 16:49:12  misiek
- New. Audio/Video encoder and streaming server
